<div class="container">

      <div class="card card-register mx-auto mt-5">
        <div class="card-header"><i class="fas fa-fw fa-chart-area"></i>Carte</div>
        <div class="card-body">
        <!-- Breadcrumbs-->
        <form [formGroup]="this.serviceCarte.formCarte" (ngSubmit)="onSubmit()">
            <div class="col-md-12">
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-6">
                <div class="form-label-group">
                  <input type="text" id="firstName" formControlName="cardNumber" class="form-control"required="required" autofocus="autofocus">
                  <label for="firstName">Numero de carte</label>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-label-group">
                  <input type="password" id="lastName" formControlName="pin" class="form-control" required="required">
                  <label for="lastName">PIN</label>
                </div>
              </div>
            </div>
          </div>
          <!--<div class="form-group">
            <div class="form-label-group">
              <input type="text" id="inputEmail" formControlName="identifiant" class="form-control" required="required">
              <label for="inputEmail">identifiant</label>
            </div>
          </div>/
          <div class="form-group">
            <div class="form-row">
              <div class="col-md-6">
                <div class="form-label-group">
                  <input type="text" id="inputPassword" formControlName="phone" class="form-control" required="required">
                  <label for="inputPassword">phone</label>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-label-group">
                  <input type="password" id="confirmPassword" formControlName="password" class="form-control" required="required">
                  <label for="confirmPassword">password</label>
                </div>
              </div>
            </div>
          </div>!-->
          <button class="btn btn-primary"  style="background: #4D4D4D; color: #fff">Enregistrer</button>
          </div>
          <br>

          <div class="alert alert-success" *ngIf="showMessageSuccess">
              insertion réussi avec succès !
            </div>
            <div class="alert alert-danger" *ngIf="showMessageFailed">
                ERREUR !
              </div>
        </form>
      </div>
    </div>
  <br>
       
        <div class="card mb-3">
          <div class="card-header">
            <i class="fas fa-table"></i>
            Liste carte</div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" style="overflow-y: scroll;">
                <thead>
                  <tr>
                    <th>id</th>
                    <th>cardNumber</th>
                    <th>pin</th>
                   <!-- <th>identifiant</th>
                    <th>phone</th>
                    <th>password</th>!-->
                    <th>action</th>
                  </tr>
                </thead>
                <tbody>
                  <ng-container *ngFor= "let t of carte?.data">
                  <tr>
                    <td>{{t.id}}</td>
                    <td>{{t.cardNumber}}</td>
                    <td>****</td>
                    <!--<td>{{t.identifiant}}</td>
                    <td>{{t.phone}}</td>
                    <td>{{t.password}}</td>!-->
                    <td><button style="background: #4D4D4D; color: #fff" (click)="supprimerCarte(t.id)">Supprimer</button></td>
                  </tr>
                </ng-container>
                </tbody>
              </table>
            </div>
            <div class="alert alert-success" *ngIf="showMessageDelete">
              Suppression réussi avec succès !
            </div>
          </div>
        </div>
      
    </div>